=== debian/changelog ===
tea (50.0.4-1) unstable; urgency=medium

  * New upstream version 50.0.4
  * Update Standards-Version to 4.5.0, no changes needed
  * Support cross building.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #922535)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 05 Apr 2020 23:48:34 +0200
