=== debian/control ===
Source: tea
Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
Section: editors
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libaspell-dev,
               libdjvulibre-dev,
               libhunspell-dev,
               libpoppler-qt5-dev,
               libqt5qml5,
               libqt5quick5,
               pkg-config,
               qtbase5-dev,
               qtdeclarative5-dev,
               qttools5-dev-tools,
               zlib1g-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian/tea
Vcs-Git: https://salsa.debian.org/debian/tea.git
Homepage: https://tea.ourproject.org/
Rules-Requires-Root: no

Package: tea
Architecture: any
Depends: tea-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: antiword,
            aspell | hunspell,
            bzip2
Description: graphical text editor with syntax highlighting
 TEA provides you with hundreds of functions. Want some tea?
 .
 TEA features:
  * Qt-based GUI with a tabbed layout engine;
  * hotkey customization;
  * spell checking (using aspell or hunspell);
  * support for multiple encodings;
  * syntax highlighting;
  * support for code snippets and templates;
  * string-handling functions such as sorting, reversing, de-formatting,
    trimming, filtering, conversions etc.;
  * editing support for Wikipedia, DocBook, LaTeX, and Lout;
  * reading support for text-based word processor formats (ABW, DOCX, FB2,
    KWD, ODT, RTF, SLA, SWX);
  * reading support for PDF and DjVu files, if they contain text;
  * bookmarks;
  * miscellaneous XML/XHTML/HTML tools;
  * "open at cursor" function from HTML href or img tags;
  * preview in external browsers;
  * drag'n'drop support (with text files and pictures);
  * built-in image viewer (BMP, GIF, JPEG, PNG, SVG, WBMP).

Package: tea-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: tea
Description: graphical text editor with syntax highlighting - data files
 TEA provides you with hundreds of functions. Want some tea?
 .
 This package contains static data needed for the package tea.
