## tea 61.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,59 +1,96 @@
 cmake_minimum_required(VERSION 3.0)
 set (QT_MIN_VERSION "5.4.0")
-
-include_directories(${Qt5Widgets_INCLUDE_DIRS})
-add_definitions(${Qt5Widgets_DEFINITIONS})
-add_definitions(${Qt5Widgets_COMPILE_DEFINITIONS})
-
-
-set(PROJECT "tea-qt")
-project ($PROJECT VERSION 50.0.4)
-add_definitions(-DVERSION_NUMBER="\\"${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}\\"")
-
-
-if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
-   add_definitions(-DQ_OS_LINUX)
-   add_definitions(-DQ_OS_UNIX)
-endif()
 
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_AUTORCC ON)
 
+enable_language(CXX)
+enable_language(C)
+
+#set(CMAKE_CXX_STANDARD 17)
+#set(CMAKE_CXX_STANDARD_REQUIRED ON)
+
+find_package(QT NAMES Qt6 Qt5 COMPONENTS Core REQUIRED)
+#find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core REQUIRED)
+
+
+if(Qt${QT_VERSION_MAJOR} STREQUAL "Qt6")
+find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core Core5Compat REQUIRED)
+endif()
+
+
+if(Qt${QT_VERSION_MAJOR} STREQUAL "Qt5")
+find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core REQUIRED)
+endif()
+
+
+message(Qt${QT_VERSION_MAJOR} " found")
+
+
+include_directories(${Qt${QT_VERSION_MAJOR}Widgets_INCLUDE_DIRS})
+add_definitions(${Qt${QT_VERSION_MAJOR}Widgets_DEFINITIONS})
+add_definitions(${Qt${QT_VERSION_MAJOR}Widgets_COMPILE_DEFINITIONS})
+
+
+set(PROJECT "tea-qt")
+project ($PROJECT VERSION 61.1.0 LANGUAGES CXX C)
+add_definitions(-DVERSION_NUMBER="\\"${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}\\"")
+add_definitions(-DNOCRYPT=1)
+add_definitions(-DNOUNCRYPT=1)
+add_definitions(-DQUAZIP_STATIC=1)
+
+option(USE_ASPELL "Use Aspell" OFF)
+option(USE_PRINTER "Use printer support" OFF)
+option(USE_PDF "Use libpoppler" OFF)
+option(USE_DJVU "Use djvu support" OFF)
+
+
+if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
+   add_definitions(-DQ_OS_LINUX)
+   add_definitions(-DQ_OS_UNIX)
+endif()
+
+
 message("CMAKE_SYSTEM_NAME: ${CMAKE_SYSTEM_NAME}")
 
 
 find_package(PkgConfig REQUIRED)
-pkg_check_modules(hunspell hunspell)
+
+pkg_check_modules(hunspell QUIET hunspell)
 if(hunspell_FOUND)
   add_definitions(-DHUNSPELL_ENABLE)
   message("+ hunspell support")
 endif()
 
 
-find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core Widgets)
-
-
-if(DEFINED USE_QML)
-message("QML IS SUPPORTED")
-find_package(Qt5 ${QT_MIN_VERSION} CONFIG OPTIONAL_COMPONENTS Qml Quick)
-add_definitions(-DUSE_QML_STUFF)
-endif(DEFINED USE_QML)
+find_package(Qt${QT_VERSION_MAJOR} CONFIG REQUIRED Core Widgets)
 
 
 if(BUILD_TESTING)
-  find_package(Qt5Test ${QT_MIN_VERSION} CONFIG REQUIRED)
-endif()
-
-
+  find_package(Qt${Test}${QT_VERSION_MAJOR} CONFIG REQUIRED)
+endif()
+
+
+if(Qt${QT_VERSION_MAJOR} STREQUAL "Qt6")
+qt6_add_resources(QT_RESOURCES resources.qrc)
+endif()
+
+if (Qt${QT_VERSION_MAJOR} MATCHES "Qt5")
 qt5_add_resources(QT_RESOURCES resources.qrc)
-
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Widgets_EXECUTABLE_COMPILE_FLAGS}")
+endif()
+
+
+#qt6_add_resources(QT_RESOURCES resources.qrc)
+#Qt${QT_VERSION_MAJOR}_add_resources(QT_RESOURCES resources.qrc)
+
+
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt${QT_VERSION_MAJOR}Widgets_EXECUTABLE_COMPILE_FLAGS}")
 
 
 file(GLOB tea_SRCS "*.c" "*.cpp")
-file(GLOB tea_HEADERS "*.h")
+file(GLOB tea_HEADERS "*.h" ".*hpp")
 
 
 set(tea_ICONPNG32
@@ -98,11 +135,13 @@
 add_executable(tea ${tea_SRCS} ${QT_RESOURCES})
 
 
-find_package(Qt5PrintSupport)
-if (Qt5PrintSupport_FOUND)
+if(USE_PRINTER)
+find_package(Qt${QT_VERSION_MAJOR}PrintSupport)
+if (Qt${PrintSupport}_FOUND)
    Message ("+ printer support")
    add_definitions(-DPRINTER_ENABLE)
-   target_link_libraries(tea Qt5::PrintSupport)
+   target_link_libraries(tea Qt${QT_VERSION_MAJOR}::PrintSupport)
+endif()
 endif()
 
 
@@ -112,6 +151,9 @@
 endif()
 
 
+if(USE_ASPELL)
+
+message("SEARCH ASPELL")
 find_path(ASPELL_INCLUDES aspell.h
          "/usr/include/"
          "/usr/local/"
@@ -119,7 +161,6 @@
 
 
 if(ASPELL_INCLUDES)
-
   message("+ aspell support")
   add_definitions(-DASPELL_ENABLE)
 
@@ -131,24 +172,43 @@
 
 endif()
 
-
+endif()
+
+
+if(USE_PDF)
 find_package(PkgConfig)
-pkg_check_modules(popplerqt5 poppler-qt5)
+
+if(Qt${QT_VERSION_MAJOR} STREQUAL "Qt5")
+pkg_check_modules(popplerqt5 QUIET poppler-qt5)
 if(popplerqt5_FOUND)
   add_definitions(-DPOPPLER_ENABLE)
   target_link_libraries(tea ${popplerqt5_LIBRARIES})
   include_directories(${popplerqt5_INCLUDE_DIRS})
   message("+ poppler support")
 endif()
-
-
+endif()
+
+if(Qt${QT_VERSION_MAJOR} STREQUAL "Qt6")
+pkg_check_modules(popplerqt6 QUIET poppler-qt6)
+if(popplerqt6_FOUND)
+  add_definitions(-DPOPPLER_ENABLE)
+  target_link_libraries(tea ${popplerqt6_LIBRARIES})
+  include_directories(${popplerqt6_INCLUDE_DIRS})
+  message("+ poppler support")
+endif()
+endif()
+
+endif()
+
+if(USE_DJVU)
 find_package(PkgConfig)
-pkg_check_modules(ddjvuapi ddjvuapi)
+pkg_check_modules(ddjvuapi QUIET ddjvuapi)
 if(ddjvuapi_FOUND)
   add_definitions(-DDJVU_ENABLE)
   target_link_libraries(tea ${ddjvuapi_LIBRARIES})
   include_directories(${ddjvuapi_INCLUDE_DIRS})
   message("+ djvuapi support")
+endif()
 endif()
 
 
@@ -173,10 +233,14 @@
   target_link_libraries(tea ${hunspell_LIBRARIES} )
 endif()
 
-target_link_libraries(tea Qt5::Widgets Qt5::Core)
-
-if(DEFINED USE_QML)
-target_link_libraries(tea Qt5::Qml Qt5::Quick)
+
+if(Qt${QT_VERSION_MAJOR} STREQUAL "Qt6")
+   target_link_libraries(tea Qt${QT_VERSION_MAJOR}::Widgets Qt${QT_VERSION_MAJOR}::Core Qt6::Core5Compat)
+endif()
+
+
+if(Qt${QT_VERSION_MAJOR} STREQUAL "Qt5")
+target_link_libraries(tea Qt${QT_VERSION_MAJOR}::Widgets Qt${QT_VERSION_MAJOR}::Core)
 endif()
 
 
@@ -188,4 +252,3 @@
 install (FILES ${tea_ICONPNG128} DESTINATION share/icons/hicolor/128x128/apps)
 
 install (FILES ${tea_DESKTOP} DESTINATION share/applications)
-
