=== meson_options.txt ===
option('pdf', type : 'feature', value : 'disabled')
option('djvu', type : 'feature', value : 'disabled')
option('aspell', type : 'feature', value : 'disabled')
