=== debian/changelog ===
tea (61.1.0-2) unstable; urgency=medium

  * Use cmake instead of qmake, as suggested by upstream
  * Add installation hints
  * Drop patch for qmake (no longer used to build the package)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 30 Oct 2022 16:55:34 +0100

tea (61.1.0-1) unstable; urgency=medium

  * New upstream version 61.1.0
    - Refresh patch
    - Drop Build-Depends on libqt5qml5 and libqt5quick5
    - Use README.md as documentation
  * Add gbp.conf
  * Update Standards-Version to 4.6.1, no changes needed
  * Use debhelper v13
  * Update d/copyright
  * Add lintian overrides for two false positive errors

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 30 Oct 2022 16:12:45 +0100
