=== debian/changelog ===
tea (61.2.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
    Changes-By: lintian-brush
    Fixes: lintian: upstream-metadata-file-is-missing
    See-also: https://lintian.debian.org/tags/upstream-metadata-file-is-missing.html
    Fixes: lintian: upstream-metadata-missing-bug-tracking
    See-also: https://lintian.debian.org/tags/upstream-metadata-missing-bug-tracking.html
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
    Changes-By: lintian-brush
    Fixes: lintian: debian-rules-uses-as-needed-linker-flag
    See-also: https://lintian.debian.org/tags/debian-rules-uses-as-needed-linker-flag.html

  [ Dr. Tobias Quathamer ]
  * New upstream version 61.2.0
  * Add new patch to enable build options in CMakeLists.txt
  * Remove unneeded custom dh_auto_configure rule

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 06 Nov 2022 15:16:38 +0100
