## tea 62.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,7 @@
 
 
 set(PROJECT "tea-qt")
-project ($PROJECT VERSION 61.2.0 LANGUAGES CXX C)
+project ($PROJECT VERSION 62.0.1 LANGUAGES CXX C)
 add_definitions(-DVERSION_NUMBER="\\"${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}\\"")
 add_definitions(-DNOCRYPT=1)
 add_definitions(-DNOUNCRYPT=1)
