=== debian/changelog ===
tea (62.0.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 61.2.0-1.
    Changes-By: lintian-brush
    Fixes: lintian: debian-changelog-line-too-long
    See-also: https://lintian.debian.org/tags/debian-changelog-line-too-long.html
  * Set upstream metadata fields: Repository.
    Changes-By: lintian-brush
    Fixes: lintian: upstream-metadata-missing-repository
    See-also: https://lintian.debian.org/tags/upstream-metadata-missing-repository.html

  [ Dr. Tobias Quathamer ]
  * New upstream version 62.0.2

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 06 Feb 2023 13:53:31 +0100
