=== debian/control ===
--- 
+++ 
@@ -2,19 +2,18 @@
 Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
 Section: editors
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: cmake,
+               debhelper-compat (= 13),
                libaspell-dev,
                libdjvulibre-dev,
                libhunspell-dev,
                libpoppler-qt5-dev,
-               libqt5qml5,
-               libqt5quick5,
                pkg-config,
                qtbase5-dev,
                qtdeclarative5-dev,
                qttools5-dev-tools,
                zlib1g-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian/tea
 Vcs-Git: https://salsa.debian.org/debian/tea.git
 Homepage: https://tea.ourproject.org/
