=== debian/rules ===
#!/usr/bin/make -f

# Use Qt5
export QT_SELECT=qt5
# Use all hardening options
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	LC_ALL=C.UTF-8 dh $@ --buildsystem=cmake
