=== debian/changelog ===
tea (63.1.0-2) unstable; urgency=medium

  * Update manpage and convert to AsciiDoc. Closes: #1083003
  * Update d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 30 Sep 2024 10:07:27 +0200

tea (63.1.0-1) unstable; urgency=medium

  * New upstream version 63.1.0
    - Refresh patch
    - Mark patch as not needing to be forwarded
  * Change Build-Depends from pkg-config to pkgconf
  * Update Standards-Version to 4.7.0, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 22 Aug 2024 22:12:09 +0200
