=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
                libdjvulibre-dev,
                libhunspell-dev,
                libpoppler-qt5-dev,
-               pkg-config,
+               pkgconf,
                qtbase5-dev,
                qtdeclarative5-dev,
                qttools5-dev-tools,
                zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/tea
 Vcs-Git: https://salsa.debian.org/debian/tea.git
 Homepage: https://tea.ourproject.org/
