=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,6 @@
 
 %:
 	LC_ALL=C.UTF-8 dh $@ --buildsystem=cmake
+
+generate-manpage:
+	asciidoctor -b manpage debian/tea.adoc
