## tea 63.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,10 @@
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_AUTORCC ON)
+
+set(PROJECT "tea-qt")
+project ($PROJECT VERSION 63.3.0 LANGUAGES CXX C)
+
 
 enable_language(CXX)
 enable_language(C)
@@ -32,8 +36,6 @@
 set(CMAKE_AUTOUIC ON)
 
 
-set(PROJECT "tea-qt")
-project ($PROJECT VERSION 63.1.0 LANGUAGES CXX C)
 qt_add_resources(QT_RESOURCES resources.qrc)
 
 add_definitions(-DVERSION_NUMBER="\\"${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}\\"")
@@ -41,7 +43,7 @@
 option(USE_NUSPELL "Use Nuspell" OFF)
 option(USE_ASPELL "Use Aspell" OFF)
 option(USE_HUNSPELL "Use Hunspell" ON)
-#option(USE_PRINTER "Use printer support" OFF)
+option(USE_PRINTER "Use printer support" OFF)
 option(USE_PDF "Use libpoppler" OFF)
 option(USE_DJVU "Use djvu support" OFF)
 option(USE_MAC "Build for Mac" OFF)
