=== debian/changelog ===
tea (63.3.0-1) unstable; urgency=medium

  * New upstream version 63.3.0
    - Refresh patch
  * Update d/copyright
  * Update Standards-Version to 4.7.1, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 29 Mar 2025 16:19:38 +0100
