=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                qtdeclarative5-dev,
                qttools5-dev-tools,
                zlib1g-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Vcs-Browser: https://salsa.debian.org/debian/tea
 Vcs-Git: https://salsa.debian.org/debian/tea.git
 Homepage: https://tea.ourproject.org/
