=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/tea-$1\.tar\.gz/ \
  https://github.com/psemiletov/tea-qt/tags .*/v?(\d\S+)\.tar\.gz
