## tea 63.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 set(CMAKE_AUTORCC ON)
 
 set(PROJECT "tea-qt")
-project ($PROJECT VERSION 63.3.0 LANGUAGES CXX C)
+project ($PROJECT VERSION 63.3.1 LANGUAGES CXX C)
 
 
 enable_language(CXX)
