=== debian/changelog ===
tea (63.3.1-1) unstable; urgency=medium

  * New upstream version 63.3.1
    - Refresh patch
  * Update d/watch to v5
  * Remove Rules-Requires-Root from d/control
  * Reformat with wrap-and-sort -astkb
  * Update Standards-Version to 4.7.2, no changes needed
  * Switch from Qt5 to Qt6

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 23 Sep 2025 14:14:29 +0200
