=== debian/control ===
--- 
+++ 
@@ -2,31 +2,33 @@
 Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
 Section: editors
 Priority: optional
-Build-Depends: cmake,
-               debhelper-compat (= 13),
-               libaspell-dev,
-               libdjvulibre-dev,
-               libhunspell-dev,
-               libpoppler-qt5-dev,
-               pkgconf,
-               qtbase5-dev,
-               qtdeclarative5-dev,
-               qttools5-dev-tools,
-               zlib1g-dev
-Standards-Version: 4.7.1
+Build-Depends:
+ debhelper-compat (= 13),
+ cmake,
+ libaspell-dev,
+ libdjvulibre-dev,
+ libhunspell-dev,
+ libpoppler-qt6-dev,
+ pkgconf,
+ qt6-base-dev,
+ qt6-declarative-dev,
+ qt6-tools-dev-tools,
+ zlib1g-dev,
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/tea
 Vcs-Git: https://salsa.debian.org/debian/tea.git
 Homepage: https://tea.ourproject.org/
-Rules-Requires-Root: no
 
 Package: tea
 Architecture: any
-Depends: tea-data (= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: antiword,
-            aspell | hunspell,
-            bzip2
+Depends:
+ tea-data (= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Recommends:
+ antiword,
+ aspell | hunspell,
+ bzip2,
 Description: graphical text editor with syntax highlighting
  TEA provides you with hundreds of functions. Want some tea?
  .
@@ -53,8 +55,10 @@
 Package: tea-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
-Recommends: tea
+Depends:
+ ${misc:Depends},
+Recommends:
+ tea,
 Description: graphical text editor with syntax highlighting - data files
  TEA provides you with hundreds of functions. Want some tea?
  .
