=== debian/watch ===
Version: 5

Template: Github
Owner: psemiletov
Project: tea-qt
